Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 218998 - daemon startup options not configurable as packaged
Summary: daemon startup options not configurable as packaged
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rarpd
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jiri Moskovcak
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-12-08 23:20 UTC by Dale Bewley
Modified: 2015-02-01 22:47 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-29 13:29:09 UTC


Attachments (Terms of Use)

Description Dale Bewley 2006-12-08 23:20:01 UTC
Description of problem:
By default rarpd will not answer a request if a boot image for the requesting
client is not found in the /tftpboot. I use rarpd only to answer requests
for Sun T3s and 3510FC devices that have no use for a boot image.

To get around this one must pass a -e to the daemon.

       -e     Skip the check for bootable image in the TFTP boot directory. If
              not present, then even if the Ethernet address is present in the
              ethers  database but the bootable image for the resolved IP does
              not exist, rarpd will not respond to the request.


It would be nice if you could modify the init script as follows:

[root@noc init.d]# diff -u rarpd.orig rarpd
--- rarpd.orig 2006-02-12 01:06:26.000000000 -0800
+++ rarpd 2006-11-30 17:36:08.000000000 -0800
@@ -11,6 +11,10 @@
# Source function library.
. /etc/init.d/functions

+if [ -f /etc/sysconfig/rarpd ]; then
+ . /etc/sysconfig/rarpd
+fi
+
test -x /usr/sbin/rarpd -a -f /etc/ethers || exit 0

RETVAL=0
@@ -20,7 +24,7 @@
# Check if rarpd is already running
if [ ! -f /var/lock/subsys/rarpd ]; then
echo -n $"Starting $prog: "
- daemon /usr/sbin/rarpd
+ daemon /usr/sbin/rarpd $OPTIONS $INTERFACE
RETVAL=$?
[ $RETVAL -eq 0 ] && touch /var/lock/subsys/rarpd
echo

[root@noc init.d]# cat /etc/sysconfig/rarpd
OPTIONS="-e -v"
INTERFACE="eth1"

Version-Release number of selected component (if applicable):
rarpd-ss981107-22.2.1

How reproducible:
Always

Steps to Reproduce:
1. service start rarpd
  
Actual results:
No means to configure options.

Expected results:
Tweakage of sysconfig file. Options are:
 rarpd [ -dveaA ] [ -b tftpdir ] [ interface]

Additional info:

Comment 1 Jiri Moskovcak 2007-08-29 13:29:09 UTC
Fixed in rawhide.


Note You need to log in before you can comment on or make changes to this bug.